package com.htfp.weather.web.config.aspect;

import java.lang.annotation.*;

/**
 * @Author : shiyi
 * @Date : 2024/7/15 16:01
 * @Description : 日志注解
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface ControllerLog {
    String info(); // 调用接口的简要信息
    boolean isSaveToDatabase() default false; //该条操作日志是否需要持久化存储, 当前未配置数据库, 默认为false
}
