package com.htfp.weather.web.pojo.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 11:28
 * @Description : 当前天气状况
 */
@Data @JsonInclude(JsonInclude.Include.NON_NULL)
public class NowWeatherStatus {
    String time; // 数据时间，北京时
    String weatherText; // 天气状况
    Double latitude;
    Double longitude;
    Float temp; // 温度; // 温度
    Float windSpeed; // 风速，m/s
    Float wind360; // 风向360角度
    // String windDir; // 风向, 文字描述，如“西北风”
    Integer windScale; // 风力等级
    Float humidity; // 相对湿度 %
    // Float pressure; // 大气压强，默认单位：百帕
    Float cloud; // 云量
    Float precip; //降水量
}
