package com.htfp.weather.web.pojo.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;

/**
 * @Author : shiyi
 * @Date : 2024/5/8 15:19
 * @Description : 高度廓线
 */
@Data @JsonInclude(JsonInclude.Include.NON_NULL)
public class ProfileDataset {
    int[] pressureLevels;
    int[] heightLevel;
    double latitude;
    double longitude;
    float[] temp;
    float[] windSpeed;
    float[] wind360;
    float[] humidity;
    // float[] pressure;
    float[] cloud;
    float[] precip;


    public ProfileDataset() {};
    public ProfileDataset(int size) {
        this.pressureLevels = new int[size];
        // this.pressureHeight = pressureHeight;
        temp = new float[size];
        windSpeed = new float[size];
        wind360 = new float[size];
        humidity = new float[size];
        // pressure = new float[size;
        cloud = new float[size];
        precip = new float[size];
    }
}
