package com.htfp.weather.griddata.utils;

import java.time.OffsetDateTime;
import java.time.ZoneOffset;
import java.time.format.DateTimeFormatter;

/**
 * @Author : shiyi
 * @Date : 2024/2/28 13:33
 * @Description : 物理坐标索引
 */
public class CoordinateUtils {
    public static final String DATE_TIME_PATTERN = "yyyy-MM-dd'T'HH:mmxxx";
    public static final DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern(DATE_TIME_PATTERN);
    public int getLevelIndex(int lev) {
        return 0;
    }

    public int getLatitudeIndex(double lat) {
        return 0;
    }

    public int getLongitudeIndex(double lon) {
        return 0;
    }

    public int getTimeIndex(long time) {
        return 0;
    }

    /**
     * 获取当前时刻对应数据库的起报时间（datasetId）
     * @param timeStr
     * @return
     */
    public String getRefTimeInDataBase(String timeStr) {
        OffsetDateTime utcTime = OffsetDateTime.parse(timeStr, DATE_TIME_FORMATTER)
                .withOffsetSameInstant(ZoneOffset.ofHours(0));
        // 获取utcTime这一天对应的00
        return utcTime.withHour(2).format(DATE_TIME_FORMATTER);



    }
}
