package com.htfp.weather.web.config.aspect;

import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/7/15 15:44
 * @Description : 接口日志记录
 */
@Data
public class WebLog {

    private String description; // 操作简介

    private String username;

    private Long startTime;

    private Integer timeCost;

    private String basePath;

    private String uri;

    private String url;

    private String requestMethod;

    private String ip;

    private Object parameter;

    private Object result;

}
