package com.htfp.weather.web.pojo.hefeng;

import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 15:23
 * @Description :
 */
@Data
public class BaseHeFengData {
    Float temp; // 温度; // 温度
    String icon; // 天气状况和图标的代码，图标可通过"icon"字段来调用
    String text; // 天气状况的文字描述，包括阴晴雨雪等天气状态的描述
    Float wind360; // 风向360角度
    String windDir; // 风向
    String windScale; // 风力等级
    Float windSpeed; // 风速，公里/小时
    Float humidity; // 相对湿度
    Float precip; // 当前小时累计降水量，默认单位：毫米
    Float pressure; // 大气压强，默认单位：百帕
    Float cloud; // 云量
    Float dew; // 露点温度
}
