package com.htfp.weather.web.pojo.response;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * @Author : shiyi
 * @Date : 2024/4/17 15:44
 * @Description : 地面天气预警信息
 */
@Data @JsonInclude(JsonInclude.Include.NON_NULL)
public class SurfaceWeatherWarning {
    String pubTime;
    String endTime;
    String title;
    String text;
    String typeName;
    String severityColor;
    String source;
    @JsonIgnore
    String dataid;
}
